Package org.apache.xmlbeans.impl.xb.xmlconfig.impl

## Class QnameconfigImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.xmlbeans.impl.xb.xmlconfig.impl.QnameconfigImpl

- All Implemented Interfaces:
    `Serializable`, `TypeStoreUser`, `Qnameconfig`, `SimpleValue`, `XmlObject`, `XmlTokenSource`

      public class QnameconfigImpl
      extends XmlComplexContentImpl
      implements Qnameconfig

  An XML qnameconfig(@http://xml.apache.org/xmlbeans/2004/02/xbean/config). This is a complex type.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.xmlbeans.impl.xb.xmlconfig.Qnameconfig

      `Factory, type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, Factory, GREATER_THAN, LESS_THAN, NOT_EQUAL, type`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QnameconfigImpl​(SchemaType sType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getJavaname()` | Gets the "javaname" attribute
    `QName` | `getName()` | Gets the "name" attribute
    `List` | `getTarget()` | Gets the "target" attribute
    `boolean` | `isSetJavaname()` | True if has "javaname" attribute
    `boolean` | `isSetName()` | True if has "name" attribute
    `boolean` | `isSetTarget()` | True if has "target" attribute
    `void` | `setJavaname​(String javaname)` | Sets the "javaname" attribute
    `void` | `setName​(QName name)` | Sets the "name" attribute
    `void` | `setTarget​(List targetValue)` | Sets the "target" attribute
    `void` | `unsetJavaname()` | Unsets the "javaname" attribute
    `void` | `unsetName()` | Unsets the "name" attribute
    `void` | `unsetTarget()` | Unsets the "target" attribute
    `XmlString` | `xgetJavaname()` | Gets (as xml) the "javaname" attribute
    `XmlQName` | `xgetName()` | Gets (as xml) the "name" attribute
    `Qnametargetlist` | `xgetTarget()` | Gets (as xml) the "target" attribute
    `void` | `xsetJavaname​(XmlString javaname)` | Sets (as xml) the "javaname" attribute
    `void` | `xsetName​(XmlQName name)` | Sets (as xml) the "name" attribute
    `void` | `xsetTarget​(Qnametargetlist targetValue)` | Sets (as xml) the "target" attribute

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

      `arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, build_nil, build_text, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, disconnect_store, documentProperties, dump, elementFlags, equals, execQuery, execQuery, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanArray, getBooleanArray, getBooleanValue, getByteArray, getByteArray, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleArray, getDoubleArray, getDoubleValue, getEnumArray, getEnumArray, getEnumValue, getFloatArray, getFloatArray, getFloatValue, getGDateValue, getGDurationValue, getIntArray, getIntArray, getIntValue, getListValue, getLongArray, getLongArray, getLongValue, getObjectArray, getObjectArray, getObjectValue, getQNameValue, getShortArray, getShortArray, getShortValue, getStringValue, getXmlLocale, getXmlObjectArray, getXmlObjectArray, has_store, hashCode, init_flags, initComplexType, instanceType, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, substitute, toString, uses_invalidate_value, validate, validate, validate_now, validate_simpleval, valueEquals, valueHashCode, writeReplace, xgetArray, xgetArray, xgetListValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Constructor Detail

    - #### QnameconfigImpl

          public QnameconfigImpl​(SchemaType sType)

  - ### Method Detail

    - #### getName

          public QName getName()

      Gets the "name" attribute
      Specified by:
        `getName` in interface `Qnameconfig`

    - #### xgetName

          public XmlQName xgetName()

      Gets (as xml) the "name" attribute
      Specified by:
        `xgetName` in interface `Qnameconfig`

    - #### isSetName

          public boolean isSetName()

      True if has "name" attribute
      Specified by:
        `isSetName` in interface `Qnameconfig`

    - #### setName

          public void setName​(QName name)

      Sets the "name" attribute
      Specified by:
        `setName` in interface `Qnameconfig`

    - #### xsetName

          public void xsetName​(XmlQName name)

      Sets (as xml) the "name" attribute
      Specified by:
        `xsetName` in interface `Qnameconfig`

    - #### unsetName

          public void unsetName()

      Unsets the "name" attribute
      Specified by:
        `unsetName` in interface `Qnameconfig`

    - #### getJavaname

          public String getJavaname()

      Gets the "javaname" attribute
      Specified by:
        `getJavaname` in interface `Qnameconfig`

    - #### xgetJavaname

          public XmlString xgetJavaname()

      Gets (as xml) the "javaname" attribute
      Specified by:
        `xgetJavaname` in interface `Qnameconfig`

    - #### isSetJavaname

          public boolean isSetJavaname()

      True if has "javaname" attribute
      Specified by:
        `isSetJavaname` in interface `Qnameconfig`

    - #### setJavaname

          public void setJavaname​(String javaname)

      Sets the "javaname" attribute
      Specified by:
        `setJavaname` in interface `Qnameconfig`

    - #### xsetJavaname

          public void xsetJavaname​(XmlString javaname)

      Sets (as xml) the "javaname" attribute
      Specified by:
        `xsetJavaname` in interface `Qnameconfig`

    - #### unsetJavaname

          public void unsetJavaname()

      Unsets the "javaname" attribute
      Specified by:
        `unsetJavaname` in interface `Qnameconfig`

    - #### getTarget

          public List getTarget()

      Gets the "target" attribute
      Specified by:
        `getTarget` in interface `Qnameconfig`

    - #### xgetTarget

          public Qnametargetlist xgetTarget()

      Gets (as xml) the "target" attribute
      Specified by:
        `xgetTarget` in interface `Qnameconfig`

    - #### isSetTarget

          public boolean isSetTarget()

      True if has "target" attribute
      Specified by:
        `isSetTarget` in interface `Qnameconfig`

    - #### setTarget

          public void setTarget​(List targetValue)

      Sets the "target" attribute
      Specified by:
        `setTarget` in interface `Qnameconfig`

    - #### xsetTarget

          public void xsetTarget​(Qnametargetlist targetValue)

      Sets (as xml) the "target" attribute
      Specified by:
        `xsetTarget` in interface `Qnameconfig`

    - #### unsetTarget

          public void unsetTarget()

      Unsets the "target" attribute
      Specified by:
        `unsetTarget` in interface `Qnameconfig`